<?php

/** @noinspection PhpUnhandledExceptionInspection */

namespace DefStudio\GameEngine\Http\Controllers;

use Illuminate\Contracts\View\View;
use DefStudio\GameEngine\Enums\Permission;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class AwardsController
{
    use AuthorizesRequests;

    public function index(): View
    {

        $this->authorize(Permission::manage_awards->value);

        return view('game-engine::admin.awards.index');
    }
}
